REST API Reference
Complete reference for every endpoint in the Nexudus REST API
Retrieve a single EmailQueueItem record by its Id.
{ "BusinessId": 123, "EmailAccountId": 123, "FromUserId": 123, "Header": "<string>", "Body": "<string>", "FromEmail": "<string>", "ToEmails": "<string>", "CCEmails": "<string>", "CCOEmails": "<string>", "Sent": true, "SentAttempts": 123, "Delivered": true, "LastSendError": "<string>", "SendDate": "<string>", "Queued": true, "FromName": "<string>", "Id": 123, "UniqueId": "<string>", "CreatedOn": "<string>", "UpdatedOn": "<string>", "UpdatedBy": "<string>", "IsNew": true, "SystemId": "<string>" }
Authorization
EmailQueueItem-Read
curl -X GET \ "https://spaces.nexudus.com/api/sys/emailqueueitems/87654321" \ -H "Authorization: Bearer YOUR_TOKEN"
{ "BusinessId": 0, "EmailAccountId": null, "FromUserId": null, "Header": null, "Body": null, "FromEmail": null, "ToEmails": "", "CCEmails": null, "CCOEmails": null, "Sent": false, "SentAttempts": 0, "Delivered": false, "LastSendError": null, "SendDate": null, "Queued": false, "FromName": null, "Id": 87654321, "UpdatedOn": "2025-01-15T10:30:00Z", "CreatedOn": "2025-01-10T08:00:00Z", "UniqueId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "UpdatedBy": "admin@example.com", "IsNew": false, "SystemId": null, "ToStringText": "EmailQueueItem Example", "LocalizationDetails": null, "CustomFields": null }